package _07_数组静态初始化;

public class Test {

    public static void main(String[] args) {
        /**
         * 使用静态初始化语法
         * 数据类型[]  数组名字 = new 数据类型[] {元素,元素,元素}
         * 定义数组存储5个学生的年龄。
         * 定义数组存储3个学生的姓名。
         * 定义数组存储4个学生的身高。
         *
         * 最终打印数组
         */
//        需求: 定义数组存储5个学生的年龄。
//        int[] ages = new int[]{20,21,22,20,24};
//        System.out.println(ages);
//        定义数组存储3个学生的姓名。
        String[] names = new String[]{"zhangsan","lisi","wangwu"};
        System.out.println(names);
//        定义数组存储4个学生的身高。
        double[] heights = new double[]{1.78,1.80,1.90};
        System.out.println(heights);
        // 数组名.length
        System.out.println("数组长度:" + heights.length);
        /**
         * 简写 :  数据类型[]  数组名字={元素,元素}
         * 语法糖 : 简化写代码方式  底层还是用之前的方式
         */
        int[] ages = {20,21,22,20,24};
        System.out.println(ages);

    }
}
